Browse Source

Prevented option --version-script with linker run of xorriso. By Matthias Klose.

release-1.5.4.branch
Thomas Schmitt 5 years ago
parent
commit
eb09bcf9e5
  1. 2
      Makefile.am
  2. 6
      acinclude.m4

2
Makefile.am

@ -13,7 +13,7 @@ ACLOCAL_AMFLAGS = -I ./
# Build libraries
libisofs_libisofs_la_LDFLAGS = \
-version-info $(LT_CURRENT):$(LT_REVISION):$(LT_AGE)
-version-info $(LT_CURRENT):$(LT_REVISION):$(LT_AGE) $(LIBLDFLAGS)
# Eventually enabling system adapters for ACL and EA.
# ts A90409: Eventually enabling use of zlib.

6
acinclude.m4

@ -147,10 +147,12 @@ AC_DEFUN([LIBISOFS_ASSERT_VERS_LIBS],
LDFLAGS="$LDFLAGS -Wl,--version-script=libisofs/libisofs.ver"
AC_TRY_LINK([#include <stdio.h>], [printf("Hello\n");],
[vers_libs_test="yes"], [vers_libs_test="no"])
if test x$vers_libs_test = xno
if test x$vers_libs_test = xyes
then
LDFLAGS="$libburnia_save_LDFLAGS"
LIBLDFLAGS="-Wl,--version-script=libisofs/libisofs.ver"
fi
LDFLAGS="$libburnia_save_LDFLAGS"
AC_SUBST(LIBLDFLAGS)
])

Loading…
Cancel
Save